> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /2026-01/retail-media/accounts/fees/search

> Get fees for provided accounts



## OpenAPI

````yaml https://api.criteo.com/2026-01/retailmedia/open-api-specifications.json post /2026-01/retail-media/accounts/fees/search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: 2026-01
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Billing
  - name: Campaign
  - name: Gateway
paths:
  /2026-01/retail-media/accounts/fees/search:
    post:
      tags:
        - Accounts
      summary: /2026-01/retail-media/accounts/fees/search
      description: Get fees for provided accounts
      operationId: AccountFeesSearch
      parameters:
        - name: limit
          in: query
          description: >-
            used for paging, number of results returned per request, Maximum of
            500
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
            default: 50
        - name: offset
          in: query
          description: used for paging, number of records to skip
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
            default: 0
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValueResourceInputAccountFeesSearchRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ValueResourceCollectionOutcomePrivateMarketAccountFeesAndMetadata
      security:
        - oauth:
            - RetailMedia_Accounts_Read
components:
  schemas:
    ValueResourceInputAccountFeesSearchRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceAccountFeesSearchRequest'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ValueResourceCollectionOutcomePrivateMarketAccountFeesAndMetadata:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ValueResourcePrivateMarketAccountFees'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/Metadata'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        value objects and metadata.
    ValueResourceAccountFeesSearchRequest:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/AccountFeesSearchRequest'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    ValueResourcePrivateMarketAccountFees:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/PrivateMarketAccountFees'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    Metadata:
      required:
        - limit
        - offset
      type: object
      properties:
        count:
          type: integer
          format: int64
          nullable: true
        limit:
          type: integer
          description: The number of elements to be returned.
          format: int32
        offset:
          type: integer
          description: The (zero-based) starting offset in the collection.
          format: int32
      additionalProperties: false
      description: Metadata related to the current request.
      nullable: true
    AccountFeesSearchRequest:
      type: object
      properties:
        accountIds:
          type: array
          items:
            type: string
          description: Account Ids to return fees
          nullable: true
      additionalProperties: false
      description: the request body for account fees search
    PrivateMarketAccountFees:
      type: object
      properties:
        accountId:
          type: string
          description: The account Id
          nullable: true
        fees:
          $ref: '#/components/schemas/PrivateMarketFees'
      additionalProperties: false
      description: The Fees for a Specific private market account
      nullable: true
    PrivateMarketFees:
      type: object
      properties:
        demandManaged:
          $ref: '#/components/schemas/DemandManagedFee'
        managedService:
          $ref: '#/components/schemas/ManagedServiceFee'
      additionalProperties: false
      description: fees for a private market account
      nullable: true
    DemandManagedFee:
      required:
        - rate
      type: object
      properties:
        rate:
          maximum: 1
          minimum: 0
          type: number
          description: decimal fee rate between 0 and 1
          format: double
      additionalProperties: false
      description: settings for DSP fees
      nullable: true
    ManagedServiceFee:
      required:
        - onsiteDisplayEnabled
        - onsiteSponsoredProductsEnabled
        - rate
      type: object
      properties:
        onsiteDisplayEnabled:
          type: boolean
          description: whether fee is enabled for display campaigns
        onsiteSponsoredProductsEnabled:
          type: boolean
          description: whether fee is enabled for sponsored product campaigns
        rate:
          maximum: 1
          minimum: 0
          type: number
          description: decimal fee rate between 0 and 1
          format: double
      additionalProperties: false
      description: settings for managed service fees
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````